footer {
    width: 100%;
    position: sticky;
    bottom: 0;
    top: calc(100vh + 10px);
    padding: 6px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    
    background-color: var(--header);
    box-shadow: -5px 10px 10px 10px var(--color);
    
    float: left;
}

footer * {
    transition: 0.1s ease;
}

footer p {
    padding: 0 8px;
    display: table-cell;
    vertical-align: middle;
}

footer p, footer a, .links p, .links a {
    font-family: "Open Sans", sans-serif;
    font-size: calc(var(--font-sizing) + 12pt); /*1.6vw*/
    color: var(--color);
    text-decoration: none;
    margin: auto 0;
}

footer a:hover {
    opacity: 0.9;
    color: var(--a-hover);
}

.footer-container, .links {
    width: 96%;
    margin: 4px 2%;
    display: inline-flex;
    justify-content: space-around;
    text-align: center;
}
.footer-container .links {
    flex-wrap: wrap;
}
.footer-container .links p a {
    font-size: calc(var(--font-sizing) + 10pt);
}


footer .socials {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: center;
    justify-content: space-around;
    align-items: center;
}
footer .socials a {
    width: 20px;
    height: 20px;
    padding: 10px;
    margin: 10px;
    background-color: var(--color);
    transition: 0.15s ease;
    -webkit-mask-size: contain;
    -webkit-mask-repeat: no-repeat;
    -webkit-mask-position: center;
}
footer .socials a:hover {
    background-color: var(--a-hover);
}
.socials .social-spotify {
    -webkit-mask-image: url('/html_objects/media/icons/spotify.svg');
}
.socials .social-applemusic {
    -webkit-mask-image: url('/html_objects/media/icons/applemusic.svg');
}
.socials .social-facebook {
    -webkit-mask-image: url('/html_objects/media/icons/facebook.svg');
}
.socials .social-instagram {
    -webkit-mask-image: url('/html_objects/media/icons/instagram.svg');
}
.socials .social-twitter {
    -webkit-mask-image: url('/html_objects/media/icons/twitter.svg');
}
.socials .social-youtube {
    -webkit-mask-image: url('/html_objects/media/icons/youtube.svg');
}
.socials .social-amazon {
    -webkit-mask-image: url('/html_objects/media/icons/amazon.svg');
}
.socials .social-deezer {
    -webkit-mask-image: url('/html_objects/media/icons/deezer.svg');
}


#createdbyreecesmith {
    display: inline-flex;
    justify-content: space-between;
    text-align: center;
    width: calc(96% + 10px);
    margin: 0 calc(2% - 4px);
}

#createdbyreecesmith * {
    opacity: 0.6;
    font-size: calc(var(--font-sizing) + 10pt); /*1.2vw*/
}

footer noscript {
    position: relative;
    right: -10px;
    opacity: 0.8;
}

#resetfont {
    display: none;
}

@media screen and (max-width: 600px) {
    footer p, footer a {
        /*font-size: calc(var(--font-sizing) + 14pt);*/
    }
    
    footer a {
        /*font-size: calc(var(--font-sizing) + 2.4vw);*/
    }
    
    #createdbyreecesmith {
        font-size: calc(var(--font-sizing) + 1.4vw);
    }
    
    .links {
        width: 96%;
        margin: 8px 2%;
        display: inline-block;
        text-align: center;
    }
    
    .links > * {
        display: inline;
        white-space: nowrap;
    }
    
    footer p, footer a, .links p, .links a {
        font-size: calc(var(--font-sizing) + max(2.4vw, 2.4vh));
    }
    
    .footer-container button { display: inline; }
    .links { display: inline; }
    .links p { display: inline-block; }
    
    #createdbyreecesmith {
        display: block;
    }
    
    #createdbyreecesmith * {
        display: inline-block;
        font-size: calc(var(--font-sizing) + max(2vw, 2vh));
    }
}